#!/usr/bin/perl
# % perl getcsv.pl mnstest01 < Inbox > mnstest01.cvs
require 'jcode.pl';

$title = $ARGV[0];

while(<STDIN>){
	chomp;
	if( /^Subject: (.*)$title$/ ){
		if( $pflag ){
			print "\n";
		}
		$pflag = 1;
	}
	elsif( /^Subject: (.*)$/ ){
		if( $pflag ){
			print "\n";
		}
		$pflag = 0;
	}
	elsif( /^From: ([^@]+)@/ ){
		$from = $1;
	}
	elsif( /^Date: \S+, (\d+ \w+ \d+) (\d+:\d+:\d+)/ ){
		$date = $1;
		$time = $2;
	}
	elsif( /^Date: (\d+ \w+ \d+) (\d+:\d+:\d+)/ ){
		$date = $1;
		$time = $2;
	}
	if( $pflag ){	
		if( /^\[-choice-\] (.*)$/ ){
			$choice = $1;
			&jcode'convert(*from, 'sjis');
			print "\"".$from."\",\"".$date."\",\"".$time."\"";
			print ",".join(',',split(/\s/,$choice));
		}
		elsif( /^\[-choice-\]$/ ){
			&jcode'convert(*from, 'sjis');
			print "\"".$from."\",\"".$date."\",\"".$time."\"";
		}
		elsif( /^\[--text--\] (.*)$/ ){
			$text = $1;
			&jcode'convert(*text, 'sjis');
			print ",\"".$text."\"";
		}
	}
}